function hov_godas(var,lon,lat,dep,jd,vname,nfig)
% Make Hovmoller plots for GODAS data
% Use after sel_area.m
%
figure(nfig)

if vname=='t'
varstring='T';
units=['^oC'];
elseif vname=='s'
varstring='S';
units=[' '];
elseif vname=='u'
varstring='U';
units=['m/s'];
elseif vname=='v'
varstring='V';
units=['m/s'];
end

% -----------------------------------------------------------
% Plot the figures (using subtightplot because it looks nicer.)

gap=[.0,.07];
marg_h=[.08,.06];
marg_v=[.06,.04];

ilo=35;
ila=15;

% meridional line
lo1=[lon(ilo) lon(ilo)];
la1=[lat(1) lat(end)];

% zonal line
lo2=[lon(1) lon(end)];
la2=[lat(ila) lat(ila)];

if lat(ila)>0
  hem=['N'];
  else
  hem=['S'];
  end


% -----------------------------------------------------------
% Hovmoller of temp. at 0m, na longitude escolhida
subtightplot(3,1,1,gap,marg_h,marg_v);
imagesc(lon,lat,nanmean(squeeze(var(:,:,1,:)),3));axis('xy');c=colorbar;
cc=get(c,'title');
set(cc,'string',units)
title([varstring,' media na superficie'])
xlabel('longitude')
ylabel('latitude')
h=line(lo1,la1);
set(h,'linewidth',3,'color','k')
h=line(lo2,la2);
set(h,'linewidth',3,'color','k')

subtightplot(2,3,4,gap,marg_h,marg_v);
imagesc(jd,lat,squeeze(var(:,ilo,1,:)));axis('xy');c=colorbar; 
cc=get(c,'title');
set(cc,'string',units)
datetick('x',12)
axis('tight')
title([varstring,'SM em',num2str(abs(lon(ilo))),'W'])
xlabel('data')
ylabel('latitude')

subtightplot(2,3,5,gap,marg_h,marg_v);
imagesc(lon,jd,squeeze(var(ila,:,1,:))');axis('xy');c=colorbar; 
cc=get(c,'title');
set(cc,'string',units)
datetick('y',12)
%axis('tight')
title([varstring,'SM  em ',num2str(abs(lat(ila)),'%1.1f'),hem])
xlabel('longitude')
ylabel('data')

subtightplot(2,3,6,gap,marg_h,marg_v);
pcolor(jd,-dep,squeeze(var(ila,ilo,:,:)));c=colorbar;
shading interp
hold
contour(jd,-dep,squeeze(var(ila,ilo,:,:)));c=colorbar;
cc=get(c,'title');
set(cc,'string',units)
datetick('x',12)
axis('tight')
ylim([-500 0])
title([varstring,' em (',num2str(abs(lon(ilo))),'W,',num2str(abs(lat(ila)),'%1.1f'),hem,')'])
xlabel('data')
ylabel('profundidade')

