function [lo,la,var,dep,jd]=open_godasnc(file,vname,loc)
% Read GODAS data which is written in netcdf format
  % Description of the variables:
  % file: filename which includes the whole path
  % vname: variable name defined as: t for potential temperature, s for salinity, etc.
  % loc: vector that defines the study area: [loi lof lai laf].
  % var: variable of interest
  % dep: depth


% Define the four corners of the study area
loi=loc(:,1); lof=loc(:,2);
lai=loc(:,3); laf=loc(:,4);

% Define the variable of interest
if vname=='t'
str=['data=ncread(''',file,''',''pottmp'');'];
elseif vname=='s'
str=['data=ncread(''',file,''',''salt'');'];
elseif vname=='u'
str=['data=ncread(''',file,''',''ucur'');'];
elseif vname=='v'
str=['data=ncread(''',file,''',''vcur'');'];
end
eval(str)


% Read the location 
lat=ncread(file,'lat');
lon=ncread(file,'lon')-180;
dep=ncread(file,'level');
time=ncread(file,'time');

% Obs: The time is counted from 1/1/1800.
% Use Matlab time for conversion
jd=datenum(1800,1,1)+time;

% Invert the matrix to centralize in the Atlantic 

aux=[data(181:360,:,:,:);data(1:180,:,:,:)];
data=permute(aux,[2 1 3 4]);

% Select the study area

ilo=find(lon<lof&lon>loi);
ila=find(lat<laf&lat>lai);

% Apply the conversions

if vname=='t'
  var=data(ila,ilo,:,:)-273.15; 
elseif vname=='s'
  var=data(ila,ilo,:,:)*1000; 
else 
  var=data(ila,ilo,:,:); 
end

lo=lon(ilo);
la=lat(ila);




