% Select data from the region of interest using GODAS data.
% Use after extract_godas.m
close all 

% -----------------------------------------------------------
% Extract GODAS data in a selected region defined by the
% vector loc: 
loc=[70 15 -5 5];
prefix=['/home/alunos/']; % path to GODAS data

% extract data
vname='t'; % chosen variable: potential temperature
[tt,lon,lat,dep,jd]=extract_godas(prefix,vname,loc);

vname='s'; % chosen variable: salinity
[ss,lon,lat,dep,jd]=extract_godas(prefix,vname,loc);

vname='u'; % chosen variable: zonal current velocity
[uu,mlon,mlat,dep,jd]=extract_godas(prefix,vname,loc);

vname='v'; % chosen variable: meridional current velocity
[vv,mlon,mlat,dep,jd]=extract_godas(prefix,vname,loc);

hov_godas(tt,lon,lat,dep,jd,'t',1)
print -dpng hov_tt
hov_godas(ss,lon,lat,dep,jd,'s',2)
print -dpng hov_ss
hov_godas(uu,mlon,mlat,dep,jd,'u',3)
print -dpng hov_uu
hov_godas(vv,mlon,mlat,dep,jd,'v',4)
print -dpng hov_vv
